/**
 * Gallery
 */
.isotope  {
	display: block;
	position: relative;
	width: 100%;
	height: 100%;
}

.isotope-item {
	z-index: 2;
}

.isotope-hidden.isotope-item {
	pointer-events: none;
	z-index: 1;
}

.isotope,
.isotope .isotope-item {
	-webkit-transition-duration: 0.8s;
	transition-duration: 0.8s;
}

.isotope {
	-webkit-transition-property: height, width;
	transition-property: height, width;
}

.isotope .isotope-item {
	-webkit-transition-property: -webkit-transform, opacity;
	transition-property: transform, opacity;
}

.isotope.no-transition,
.isotope.no-transition .isotope-item,
.isotope .isotope-item.no-transition {
	-webkit-transition-duration: 0s;
	transition-duration: 0s;
}

.isotope.infinite-scrolling {
	-webkit-transition: none;
	transition: none;
}

/* masonry layout */
.masonry {
	position: relative;
}

.masonry-container {
	position: relative;
}

.masonry-block {
	display: block;
	opacity: 0;	
	transform: scale(0.9);
	transition: all 0.35s ease;
}

.masonry-block.loaded {
	transform: scale(1);
	opacity: 1;
}

@media (prefers-reduced-motion: reduce) {
	.masonry-block {
		opacity: 1;	
		transform: scale(1);
	}
}

.masonry-preloader {
	display: block;
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100vh;
	padding-left: 0;
	opacity: 0;
	visibility: hidden;
	transition: all var(--ease-base);
}

.masonry-preloader.active {
	opacity: 1;
	visibility: visible;	
}

.masonry-preloader .preloader-spinner {
	top: 100px;
}

/* gallery */
.gallery {
	margin-bottom: var(--spacing-70);
}

.gallery-wrapper {
	max-width: 100%;
}

.gallery__container {
	margin-left: calc(var(--grid-gap) * -1 / 2);
	margin-right: calc(var(--grid-gap) * -1 / 2);
}

.gallery__item {
	padding-left: calc(var(--grid-gap) / 2);
	padding-right: calc(var(--grid-gap) / 2);
	margin-bottom: var(--grid-gap);
}

@media screen and (max-width: 480px) {
	.gallery__container {
		margin-left: -5px;
		margin-right: -5px;
	}

	.gallery__item {
		padding-left: 5px;
		padding-right: 5px;
		margin-bottom: 10px;
	}	
}

.gallery__link {
	display: block;
	position: relative;
	overflow: hidden;
}

.gallery__mask,
.gallery__mask::after {
	position: absolute;
	top: 0;
	right: 0;
	padding: 10px;
	display: block;
	width: 100%;
	height: 100%;
	box-shadow: inset 0 0 0 0 var(--background);
	transition: all var(--ease-base);
}

.gallery__mask::after {
	content: "";
	padding: 0;
	opacity: 1;
	position: relative;
	background-color: rgba(0, 0, 0, 0);
	transform: translateX(-20px) translateY(-20px);
}

.gallery__link:hover .gallery__mask {
	box-shadow: inset 0 0 0 10px var(--background);
}

.gallery__link:hover .gallery__mask::after,
.gallery__link:focus .gallery__mask::after {
	transform: translateX(0px) translateY(0px);
	background-color: rgba(0, 0, 0, 0.3);	
}

.gallery__image {
	position: relative;
	transform: scale(1);
	transition: all .4s ease;
}

.gallery__link:hover .gallery__image,
.gallery__link:focus .gallery__image {
	transform: scale(1);

}

.gallery__zoom-icon {
	position: absolute;
	top: 30px;
	right: 30px;
	opacity: 0;
	color: #ffffff;
	line-height: 0;
	transition: opacity var(--ease-base);
}

.gallery__link:hover .gallery__zoom-icon,
.gallery__link:focus .gallery__zoom-icon {
	opacity: 1;
}

.gallery__caption {
	padding: 5px 15px;
	font-size: var(--small-font);
	border-left: 1px solid var(--color-black-08);
}

.gallery__author {
	font-size: var(--small-font);
	color: var(--color-gray);
}

.gallery-count {
	display: grid;
	grid-auto-flow: column;
	justify-content: start;
	align-items: center;
	color: var(--color-text);
	font-size: var(--small-font);
}

.gallery-count-title {
	padding-left: 10px;
}

.galleries .page__header {
	padding-bottom: 0;
	margin-bottom: 10px;
}

.galleries__body {
	padding: 30px;
}

.galleries__body p:last-of-type {
	margin: 0;
}

.galleries .article:nth-child(2n) {
	margin-top: 2.var(--spacing-50);
}

@media screen and (max-width: 767px) {
	.galleries .article:nth-child(2n) {
		margin-top: 0;
	}
}

@media screen and (max-width: 480px) {
	.gallery .col-2,
	.gallery .col-3,
	.gallery .col-4,
	.gallery .col-6 {
		display: inline-block;
		width: 50%;
	}	
}

/* lighbox */
.body .pswp {
  --pswp-bg: var(--background-lightbox);
  --pswp-placeholder-bg: var(--color-black-10);
  --pswp-preloader-color: var(--color-black-50);
  --pswp-preloader-color-secondary: var(--color-light);
  --pswp-icon-color: var(--color-white);
  --pswp-icon-color-secondary: var(--color-white);
  --pswp-icon-stroke-color: var(--color-white);
  --pswp-error-text-color: var(--color-white);
}

.body .pswp__button {
	width: 50px;
	height: 50px;
	opacity: 1;
	color: var(--color-white);
}

.body .pswp__button svg {
	width: 20px;
	vertical-align: middle;
}

.body .pswp__button .icon-arrow {
	width: 24px;
	height: 24px;
}

.body .pswp__button:hover,
.body .pswp__button:active,
.body .pswp__button:focus {
	color: var(--color-white-60);
}

.body .pswp__button--arrow--next {
	margin-top: -25px;
	right: 10px;
}

.body .pswp__button--arrow--prev {
	margin-top: -25px;
	left: 10px;
}

.body .pswp__button--close svg {
	position: relative;
	transition: var(--ease-base);
	transform: rotateZ(0deg);
}

.body .pswp__button--close:hover svg,
.body .pswp__button--close:active svg,
.body .pswp__button--close:focus svg {
	transform: rotateZ(90deg);
}

.body .pswp__button--close {
	margin-top: 10px;
	margin-right: 15px;
}

.body .pswp__button--close,
.body .pswp__button--zoom {
	 margin-top: 10px;
 }

.body .pswp__counter {
	text-shadow: none;
}